Web lists-archives.com

Re: SALSA migration of XML/SGML packages (sgml-data for me)




On Wed, Jul 11, 2018 at 9:55 PM Emilio Pozuelo Monfort <pochu@xxxxxxxxxx> wrote:
>
> On 11/07/18 15:38, Osamu Aoki wrote:
> > Hi,
> >
> > On Sun, Jul 08, 2018 at 07:51:53PM +0300, Adrian Bunk wrote:
> >> On Sun, Jul 08, 2018 at 11:20:57PM +0900, Osamu Aoki wrote:
> > ...
> >> All this gives sgml-base impressive popcon numbers, but the actual usage
> >> is likely pretty limited. I'm sure we have users who still need tooling
> >> for SGML, but all this is now more a fringe area of the archive.
> >
> > You missed my point.  I don't care about popcon.  Problem is "Reverse
> > Build-depends in main".  Try:
> >
> > ---
> >  $ build-rdeps sgml-data
> >  ....
> > Found a total of 1336 reverse build-depend(s) for sgml-data.
>
> wow, I get an entirely different number:
>
> $ build-rdeps sgml-data
> WARNING: dose-extra >= 4.0 is not installed. Falling back to old unreliable
> behaviour.
> Reverse Build-depends in main:
> ------------------------------
>
> qmtest
> python-ethtool
>
> Found a total of 2 reverse build-depend(s) for sgml-data.
>
> That says the results are unreliable, but manually checking
> dists/sid/main/Sources gives me the same thing.
>

It has WARNING already, please install dose-extra to see the results.

The reason is, e.g.
First check `apt rdepends of sgml-data`, you will find like
docbook-xml depends on it.
Then check `build-rdeps docbook-xml`, you will find another 287
packages(if you don't install dose-extra).
...

dose-extra can do these works for you, and finally you'll get 1336
reverse build-depend(s) for sgml-data.

-- 
Best regards,
Shengjing Zhu